Taiga
API ReferencePre EncounterOrganization External ProvidersV1

Update organization external provider

Updates an organization external provider. The path must contain the next version number to prevent race conditions. For example, if the current version of the provider is n, you will need to send a request to this endpoint with `/{id}/n+1` to update the provider. Updating historic versions is not supported. BadRequestError is returned when the NPI is already in use by another provider.

PUT
/organization-external-providers/v1/{id}/{version}

Authorization

BearerAuth
AuthorizationBearer <token>

Send your Taiga API key as a Bearer token. Create and manage keys in the Taiga developer portal.

In: header

Path Parameters

id*pre-encounterorganizationExternalProvidersv1OrganizationExternalProviderId

The unique identifier for an OrganizationExternalProvider in the database

Formatuuid
version*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

An object representing an organization-level external provider.

Response Body

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/organization-external-providers/v1/497f6eca-6276-4993-bfeb-53cbbbba6f08/string" \  -H "Content-Type: application/json" \  -d '{    "name": {      "family": "string",      "given": [        "string"      ],      "use": "USUAL"    },    "types": [      "REFERRING"    ]  }'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "organization_id": "string",  "deactivated": true,  "version": 0,  "updated_at": "2019-08-24T14:15:22Z",  "updating_user_id": "string",  "name": {    "family": "string",    "given": [      "string"    ],    "use": "USUAL",    "period": {      "start": "2019-08-24",      "end": "2019-08-24"    },    "suffix": "string"  },  "types": [    "REFERRING"  ],  "npi": "string",  "tax_id": "string",  "taxonomy_code": "string",  "phone_number": "string",  "other_phone_numbers": [    "string"  ],  "fax_number": "string",  "other_fax_numbers": [    "string"  ],  "emails": [    "string"  ],  "license_type": "MD",  "addresses": [    {      "use": "HOME",      "line": [        "string"      ],      "city": "string",      "state": "string",      "postal_code": "string",      "country": "string",      "county": "string",      "period": {        "start": "2019-08-24",        "end": "2019-08-24"      }    }  ]}